#include <xc.h>

#define _XTAL_FREQ 4000000

// CONFIG
#pragma config FOSC = HS        // Oscillator Selection bits (HS oscillator)
#pragma config WDTE = OFF       // Watchdog Timer (WDT disabled)
#pragma config PWRTE = ON       // Power-up Timer Enable bit (Power-up Timer is enabled)
#pragma config CP = OFF         // Code Protection bit (Code protection disabled)
//--------------------------------------------
unsigned char CheckButton(void)
{
  unsigned char result=0;
  unsigned int butcount=0;
  while(!RA2)
  {
    if(butcount < 10000)
    {
      butcount++;
    }
    else
    {
      result = 1;
      break;
    }
  }
  return result;
}
//--------------------------------------------
void main(void) {
    TRISB = 0x00;
    PORTB = 0x00;
    TRISA &= ~0x03;
    PORTA &= ~0x03;
    TRISA |= 0x04; //??????? ????? RA2 ?? ????
    while(1)
    {
        if(CheckButton())
        {
            PORTBbits.RB0 = 1;
            __delay_ms(100);
            PORTBbits.RB0 = 0;
            PORTBbits.RB1 = 1;
            __delay_ms(100);
            PORTBbits.RB1 = 0;
            PORTBbits.RB2 = 1;
            __delay_ms(100);
            PORTBbits.RB2 = 0;
            PORTBbits.RB3 = 1;
            __delay_ms(100);
            PORTBbits.RB3 = 0;
            PORTBbits.RB4 = 1;
            __delay_ms(100);
            PORTBbits.RB4 = 0;
            PORTBbits.RB5 = 1;
            __delay_ms(100);
            PORTBbits.RB5 = 0;
            PORTBbits.RB6 = 1;
            __delay_ms(100);
            PORTBbits.RB6 = 0;
            PORTBbits.RB7 = 1;
            __delay_ms(100);
            PORTBbits.RB7 = 0;
            PORTAbits.RA0 = 1;
            __delay_ms(100);
            PORTAbits.RA0 = 0;
            PORTAbits.RA1 = 1;
            __delay_ms(100);
            PORTAbits.RA1 = 0;
        }
    }
    return;
}
